<?php
/**
 *
 * Advertisement management. An extension for the phpBB Forum Software package.
 * @简体中文语言　David Yin <https://www.phpbbchinese.com/>
 *
 * @copyright (c) 2017 phpBB Limited <https://www.phpbb.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	// Manage ads
	'AD_SETTINGS'				=> '广告设定',
	'ACTIVE_ADS'				=> '活跃广告',
	'EXPIRED_ADS'				=> '过期广告',
	'STATUS'					=> '状态',
	'AD_NAME'					=> '名称',
	'AD_NAME_EXPLAIN'			=> '名称只是用于区别不同广告。',
	'AD_ENABLED'				=> '启用',
	'AD_ENABLED_EXPLAIN'		=> '若停用，此广告将不会被显示。',
	'AD_NOTE'					=> '备注',
	'AD_NOTE_EXPLAIN'			=> '广告备注是可选项，只显示在管理控制面板。',
	'AD_CODE'					=> '代码',
	'AD_CODE_EXPLAIN'			=> '输入广告代码，所有代码必须用 HTML，不支持 BBCode。',
	'ANALYSE_AD_CODE'			=> '分析广告代码',
	'EVERYTHING_OK'				=> '代码看上去正常。',
	'AD_BANNER'					=> '广告横幅',
	'BANNER'					=> '上传一个横幅图片。',
	'BANNER_EXPLAIN'			=> '你可以上传 JPG，GIF 或者 PNG 格式的图片。图片文件会被保存在论坛的 <samp>images</samp> 目录之下，图片的 img HTML 标签代码会自动生成并插入广告代码中。',
	'BANNER_UPLOAD'				=> '上传横幅图片',
	'AD_PLACEMENT'				=> '广告位置',
	'AD_LOCATIONS'				=> '位置',
	'AD_LOCATIONS_EXPLAIN'		=> '选择你所希望广告显示的位置。鼠标指向位置会看到简短的说明。若在同一位置有多个广告，每次只会随机显示一个广告。使用 CTRL+CLICK (or CMD+CLICK on Mac) 来选择或取消多个位置。',
	'AD_PRIORITY'				=> '优先级',
	'AD_PRIORITY_EXPLAIN'		=> '设置从 1 到10 的优先级。多个广告竞争一个广告位时，优先级数字大的会获得更多的展示。',
	'AD_OPTIONS'				=> '广告选项。',
	'AD_OWNER'					=> '广告主',
	'AD_OWNER_EXPLAIN'			=> '指定一个论坛用户为广告主，会赋予其在用户面板中查看广告展示和点击数据统计的权限。若不指定广告主可留空本项。',
	'AD_VIEWS'					=> '展示',
	'AD_VIEWS_LIMIT'			=> '展示次数限制',
	'AD_VIEWS_LIMIT_EXPLAIN'	=> '设置广告最多的展示次数，达到此数后就不在显示。设置为 0 则无限制。',
	'AD_CLICKS'					=> '点击',
	'AD_CLICKS_LIMIT'			=> '点击次数限制',
	'AD_CLICKS_LIMIT_EXPLAIN'	=> '设置广告最多被点击的次数，达到此限制数后则广告不会再显示。设置为 0 则无限制。',
	'AD_END_DATE'				=> '到期日期',
	'AD_END_DATE_EXPLAIN'		=> '设置广告到期的日期，到期后则此广告被禁用。留空表示此广告无过期日期。请使用 <samp>YYYY-MM-DD</samp> 日期格式。',

	'AD_PREVIEW'				=> '广告预览',
	'AD_ENABLE_TITLE'			=> array( // Plural rule doesn't apply here! Just translate the values.
		0 => '启用',
		1 => '禁用',
	),
	'AD_EXPIRED_EXPLAIN'		=> '此广告已过期，被禁用。',
	'ACP_ADS_EMPTY'				=> '没有广告可显示，点击下面按钮来添加广告。',
	'ACP_ADS_ADD'				=> '添加新的广告',
	'ACP_ADS_EDIT'				=> '编辑广告',

	'AD_NAME_REQUIRED'			=> '名称是必填项。',
	'AD_NAME_TOO_LONG'			=> '名称长度限制为 %d 字符。',
	'AD_CODE_ILLEGAL_CHARS'		=> '广告代码包含下面不支持的字符： %s',
	'AD_END_DATE_INVALID'		=> '到期日期无效，或者已经过期。',
	'AD_PRIORITY_INVALID'		=> '优先级数字无效，请输入从 1 到 10 的数字。',
	'AD_VIEWS_LIMIT_INVALID'	=> '展示次数限制无效，请输入一个非负数。',
	'AD_CLICKS_LIMIT_INVALID'	=> '点击次数限制无效，请输入一个非负数。',
	'AD_OWNER_INVALID'			=> '广告主无效，请用查找用户的链接来选择用户。',
	'NO_FILE_SELECTED'			=> '没有选择文件',
	'CANNOT_CREATE_DIRECTORY'	=> '目录 <samp>phpbb_ads</samp> 无法创建，请确认 <samp>/images</samp> 目录有写入权限。',
	'FILE_MOVE_UNSUCCESSFUL'	=> '无法写入文件到 <samp>images/phpbb_ads</samp>.',
	'ACP_AD_DOES_NOT_EXIST'		=> '广告不存在。',
	'ACP_AD_ADD_SUCCESS'		=> '成功添加广告。',
	'ACP_AD_EDIT_SUCCESS'		=> '成功编辑广告。',
	'ACP_AD_DELETE_SUCCESS'		=> '成功删除广告。',
	'ACP_AD_DELETE_ERRORED'		=> '删除广告出现一个错误。',
	'ACP_AD_ENABLE_SUCCESS'		=> '成功启用一个广告。',
	'ACP_AD_ENABLE_ERRORED'		=> '启用广告出现一个错误。',
	'ACP_AD_DISABLE_SUCCESS'	=> '成功禁用广告。',
	'ACP_AD_DISABLE_ERRORED'	=> '禁用广告是出现一个错误。',

	// Analyser tests
	'UNSECURE_CONNECTION'	=> '<strong>混合内容</strong><br />你的论坛运行在安全的 HTTPS 连接上，但是你的广告代码尝试载入非安全的 HTTP 连接的广告内容。这会导致浏览器显示一个警告信息， "Mixed Content" 或者 "混合内容" ， 让用户了解当前页面有包含不安全的资源。',
	'SCRIPT_WITHOUT_ASYNC'	=> '<strong>Non-asynchronous javascript</strong><br /> 此广告代码用非异步的方式载入 JavaScript 代码。这意味着在它下载完之前，会阻碍其它 Javascript 代码下载。这会影响页面载入的性能。使用 <samp>async</samp> 属性可以加速页面的载入。',
	'ALERT_USAGE'			=> '<strong>Usage of <samp>alert()</samp></strong><br /> 你的代码使用了 <samp>alert()</samp> 函数，这不是一个好的实践，会打扰到用户。某些浏览器甚至会阻止页面载入，显示额外的警告信息。',
	'LOCATION_CHANGE'		=> '<strong>Redirection</strong><br />你的代码看上去会把用户重定向到其他网站或页面。重定向有时会把用户导向并不愿意去，或者恶意网站。请验证你的广告代码所重定向的网址。',

	// Template locations
	'AD_ABOVE_HEADER'				=> '网站标题上方',
	'AD_ABOVE_HEADER_DESC'			=> '在所有页面的标题的上方显示广告。',
	'AD_BELOW_HEADER'				=> '网站标题下方',
	'AD_BELOW_HEADER_DESC'			=> '在所有页面的标题的下面显示广告，（在导航条之前）。',
	'AD_BEFORE_POSTS'				=> '主题之前',
	'AD_BEFORE_POSTS_DESC'			=> '在主题页面，显示在第一个帖子之前。',
	'AD_AFTER_POSTS'				=> '主题之后',
	'AD_AFTER_POSTS_DESC'			=> '在主题页面，显示在最后帖子的后面。',
	'AD_BELOW_FOOTER'				=> '网站页脚之下',
	'AD_BELOW_FOOTER_DESC'			=> '在所有的页面，显示在页脚之后。',
	'AD_ABOVE_FOOTER'				=> '网站页脚之上',
	'AD_ABOVE_FOOTER_DESC'			=> '在所有页面，显示在页脚之上。',
	'AD_AFTER_FIRST_POST'			=> '第一个帖子之后',
	'AD_AFTER_FIRST_POST_DESC'		=> '在主题页面，显示在第一个帖子之后。',
	'AD_AFTER_NOT_FIRST_POST'		=> '除第一个帖子之外的每个帖子之后',
	'AD_AFTER_NOT_FIRST_POST_DESC'	=> '在主题页面，显示在每个帖子后面，除了第一个帖子。',
	'AD_BEFORE_PROFILE'				=> '用户资料之前',
	'AD_BEFORE_PROFILE_DESC'		=> '在用户资料页面，显示在用户资料之前。',
	'AD_AFTER_PROFILE'				=> '用户资料之后',
	'AD_AFTER_PROFILE_DESC'			=> '在用户资料页面，显示在用户资料之下。',
	'AD_AFTER_HEADER_NAVBAR'		=> '顶部导航条之下',
	'AD_AFTER_HEADER_NAVBAR_DESC'	=> '在所有页面，显示在顶部导航条之下。',
	'AD_AFTER_FOOTER_NAVBAR'		=> '页脚导航条之下',
	'AD_AFTER_FOOTER_NAVBAR_DESC'	=> '在所有页面，在页脚导航条之下。',
	'AD_POP_UP'						=> '弹窗',
	'AD_POP_UP_DESC'				=> '每天只显示一次的弹窗，以覆盖窗口方式显示。用户必须关闭此窗口来继续浏览论坛。注意，此方式对用户体验并不好！',
	'AD_SLIDE_UP'					=> '上滑',
	'AD_SLIDE_UP_DESC'				=> '在所有页面，当用户滚动页面内容到底部，广告会从底部上滑显示。',

	// Settings
	'ADBLOCKER_LEGEND'				=> '广告拦截器',
	'ADBLOCKER_MESSAGE'				=> '检测到广告拦截器消息',
	'ADBLOCKER_MESSAGE_EXPLAIN'		=> '对使用广告拦截器的用户显示一个友善的消息，建议其对本论坛停用广告拦截。',
	'CLICKS_VIEWS_LEGEND'			=> '统计及跟踪',
	'ENABLE_VIEWS'					=> '统计广告展示',
	'ENABLE_VIEWS_EXPLAIN'			=> '统计广告被显示的次数。注意，这会给服务器增加额外的负载，如果不需要此特性，可以关闭。',
	'ENABLE_CLICKS'					=> '统计广告点击',
	'ENABLE_CLICKS_EXPLAIN'			=> '统计广告被点击的次数。注意，这会给服务器增加额外的负载，如果不需要此特性，可以关闭。',
	'HIDE_GROUPS'					=> '不显示广告给某些用户组',
	'HIDE_GROUPS_EXPLAIN'			=> '所选用户组的用户成员将不会看到任何广告。使用 CTRL+CLICK (or CMD+CLICK on Mac) 选择或取消多个用户组。',

	'ACP_AD_SETTINGS_SAVED'	=> '广告管理系统设置保存完毕。',
));
